Subject: bug#8325: 24.0.50; info-mode help is missing reference to `b' command

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jul 2011 17:08:21 +0200

Glenn Morris <[email-masked]> writes:

> As an aside, strictly speaking neither solution seems to be _necessary_
> for this particular case, since the :advertised-binding stuff only has
> an effect if the command in question is actually bound to the advertised
> key, and beginning-of-buffer does not seem to be bound to "b" in any
> mode except Info-mode-map.

Yeah.  But the potential for clashes are there, if some other mode binds
`beginning-of-buffer' and tries putting :advertised-binding on it.

To implement :advertised-binding cleanly, it shouldn't be in the prop
list of the command, but be a function on the keymap, I think.

(make-advertised-binding keymap 'beginning-of-buffer "b")

or something.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/